List Proxy Regions
Method: GET
Endpoint: /api/v2/proxy/region
Authentication: No API token required
Try it
Section titled “Try it”GET
/api/v2/proxy/regionList proxy regionsAuthorizationNot required
This is a public endpoint and does not require an API token.
Parameters
Optional
Region language. Constraints: default `en`.
Request BodyNot applicable
No JSON request body. Fill the path or query parameters above.
When to use this endpoint
Section titled “When to use this endpoint”Use this endpoint to list proxy regions available for Worker runs.
Query Parameters
Section titled “Query Parameters”| Parameter | Required | Type | Description |
|---|---|---|---|
language | No | string | Region language Constraints: default en. |
Request Example
Section titled “Request Example”curl -X GET "https://openapi.coreclaw.com/api/v2/proxy/region?language=en"Response Example
Section titled “Response Example”{ "code": 0, "data": { "list": [ { "code": "US", "name": "United States" } ] }, "message": "success", "request_id": "req-123"}- This endpoint does not require an API token.
HTTP Responses
Section titled “HTTP Responses”| HTTP Status | Application Code | Meaning |
|---|---|---|
200 | 0 | OK |
400 | 11000 | Bad Request |
401 | 12001 | Unauthorized |
404 | 11004 | Not Found |
422 | 11000 | Unprocessable Entity |
429 | 13000 | Too Many Requests |
500 | 10000 | Internal Server Error |